# --COPYRIGHT--,BSD
#  Copyright (c) $(CPYYEAR), Texas Instruments Incorporated
#  All rights reserved.
# 
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
# 
#  *  Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
# 
#  *  Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
# 
#  *  Neither the name of Texas Instruments Incorporated nor the names of
#     its contributors may be used to endorse or promote products derived
#     from this software without specific prior written permission.
# 
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
#  PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
#  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
#  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
#  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# --/COPYRIGHT--
#!/bin/sh

. ./test_lib.sh

run_test "Video Capture Encode (MPEG4, Composite, --accel)" ./video_capture_encode_dm355.x470MV -o /tmp/vce1.mpeg4 -c mpeg4enc -e encode --videoinput 1 --accel --capture_dalloc -n 200
run_test "Video Decode XDM 1.2" ./video_decode2_dm355.x470MV -i /tmp/vce1.mpeg4 -e decode -c mpeg4dec --display_dalloc --accel 
rm -f /tmp/vce1.mpeg4

run_test "Video Capture Encode (MPEG4, Composite)" ./video_capture_encode_dm355.x470MV -o /tmp/vce2.mpeg4 -c mpeg4enc -e encode --videoinput 1 --capture_dalloc -n 200
run_test "Video Decode XDM 1.2" ./video_decode2_dm355.x470MV -i /tmp/vce2.mpeg4 -e decode -c mpeg4dec --display_dalloc
rm -f /tmp/vce2.mpeg4

