/* --COPYRIGHT--,BSD
 * Copyright (c) $(CPYYEAR), Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/

#include <stdio.h>
#include <stdlib.h>

#include <xdc/std.h>

#include <std.h>
#include <tsk.h>
#include <clk.h>

#include <ti/sdo/utils/trace/gt.h>

#include "../appMain.h"

TSK_Handle hTsk;
    
/******************************************************************************
 * main
 ******************************************************************************/
Void main()
{
    TSK_Attrs attrs = TSK_ATTRS;

    /* init trace */
    GT_init();
    
    /* Set printf function for GT */
    GT_setprintf( (GT_PrintFxn)printf );
            
    attrs.stacksize = 0x4000;
    attrs.priority = 1;
    hTsk = TSK_create((Fxn)appMain, &attrs);
    if (hTsk == NULL) {
        printf("Failed to create Thread 1");
        goto exit;
    }

exit:       
    return;
}

Bool createThread2()
{
    TSK_Attrs attrs = TSK_ATTRS;
    
    attrs.stacksize = 0x4000;
    attrs.priority = TSK_MAXPRI - 1;
    if (TSK_create((Fxn)thr2Main, &attrs) == NULL) {
        printf("Failed to create Thread 2");
        TSK_delete(hTsk);
        return FALSE;
    }
    
    return TRUE;
}

Bool createThread3()
{
    TSK_Attrs attrs = TSK_ATTRS;
    
    attrs.stacksize = 0x4000;
    attrs.priority = TSK_MAXPRI;
    if (TSK_create((Fxn)thr3Main, &attrs) == NULL) {
        printf("Failed to create Thread 3");
        TSK_delete(hTsk);
        return FALSE;
    }
    
    return TRUE;
}
/******************************************************************************
 * sleepForOneSecond
 ******************************************************************************/
Void sleepForOneSecond()
{
    TSK_sleep(1000 * CLK_countspms() / CLK_getprd());
}

